Bug 208827 - Graphical install fails on Rendition V2200 ("X server failed to start")
Graphical install fails on Rendition V2200 ("X server failed to start")
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-10-02 04:46 EDT by Mark McClelland
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-08 15:07:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
lspci -vvv (6.63 KB, text/plain)
2006-10-02 04:46 EDT, Mark McClelland
no flags Details
X config (2.66 KB, text/plain)
2006-10-02 04:48 EDT, Mark McClelland
no flags Details
X.log 3/14/2007 (13.65 KB, text/plain)
2007-03-23 17:27 EDT, Mark McClelland
no flags Details
XConfig.test 3/14/2007 (738 bytes, text/plain)
2007-03-23 17:28 EDT, Mark McClelland
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 208827 None None None Never

  None (edit)
Description Mark McClelland 2006-10-02 04:46:48 EDT
Description of problem:
While booting FC6 prerelease disc 1, anaconda says "X server failed to start.
Falling back to text mode." The card is a Rendition V2200 AGP (lspci 
is attached).

After the upgrade (from FC5) completed, rhgb and X work almost normally, the
exception being that the screen freezes when I switch VCs with
<Ctrl><Alt><F[1-6]>. So, perhaps anaconda should continue to fail to start X on
this card until the freezing bug is fixed.

X config is attached, which I believe was created by anaconda under FC5.

How reproducible:
Every time.
Comment 1 Mark McClelland 2006-10-02 04:46:51 EDT
Created attachment 137524 [details]
lspci -vvv
Comment 2 Mark McClelland 2006-10-02 04:48:40 EDT
Created attachment 137525 [details]
X config
Comment 3 Mark McClelland 2006-10-02 18:31:30 EDT
The X freezing problem is bug 208828
Comment 4 Mark McClelland 2007-03-23 17:26:38 EDT
This is still broken on rawhide from 3/14/2007. It looks like the 'vga' driver
doesn't work with this card at 800x600x24bpp. I'm not sure why the 'rendition'
driver isn't being used for this card, other than to save a tiny amount of space
in stage2.img.
Comment 5 Mark McClelland 2007-03-23 17:27:42 EDT
Created attachment 150796 [details]
X.log 3/14/2007
Comment 6 Mark McClelland 2007-03-23 17:28:56 EDT
Created attachment 150797 [details]
XConfig.test 3/14/2007
Comment 7 Adam Jackson 2007-05-08 15:07:53 EDT
Nice one.  Not only did we not ship an xinf file for the driver, but the one in
CVS was empty.  So kudzu would never match the driver to the device, and we hit
the fallback path.

Should be fixed in 4.1.3-3.fc7.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.